---
title: BeOS Prerequisites
slug: Mozilla/Developer_guide/Build_Instructions/BeOS_Prerequisites
tags:
  - Build documentation
  - Developing Mozilla
---

<p>This page describes the requirements for building mozilla.org software on BeOS or yellowTab Zeta.</p>

<p>{{ page("en-US/docs/Build_Documentation/TOC") }}</p>

<h3 id="Hardware">Hardware</h3>

<ul>
 <li>Disk space: Optimized (stripped) builds require about 600 MB including source; for debug builds, expect 2 GB.</li>
 <li>256 MB or more memory are recommened; more is better, especially for debug builds.</li>
</ul>

<h3 id="Software">Software</h3>

<p>You need the following software:</p>

<ul>
 <li>These are part of Zeta, but may need to be installed on other BeOS versions:
  <ul>
   <li><strong>make 3.79.1</strong> or later, available from <a class="external" href="http://www.bebits.com/app/2971">Bebits: GNU utilities page</a></li>
   <li><strong>perl 5.8.0</strong> or later, available from <a class="external" href="http://www.bebits.com/app/2171">Bebits: perl page</a></li>
   <li><strong>cvs 1.11</strong> or later, available from <a class="external" href="http://www.bebits.com/app/4145">Bebits: cvs page, latest version</a></li>
  </ul>
 </li>
 <li><strong>gcc 2.95.3</strong>, available from <a class="external" href="http://www.bebits.com/app/4011">Bebits: gcc page</a><br>
  <small>Please use version 2.95.3, not the later version. After installation according to the package instructions, BeOS R5 users must delete the symlink /boot/develop/tools/gcc-2.95.3_binutils-2.15/lib/gcc-lib/i586-pc-beos/2.95.3-beos-041202/<em>specs</em>, then right-click on<em>specs.R5</em> in the same folder, create a link and rename this new link<em>specs</em>.</small>
  <ul>
   <li>The compiler that ships with Zeta can only use <code>-O1</code> (also known as <code>-O</code>) optimization; higher optimization levels will cause Mozilla to not work correctly.</li>
  </ul>
 </li>
 <li><strong>glib</strong> and <strong>libIDL</strong>, available from <a class="link-ftp" href="ftp://ftp.mozilla.org/pub/mozilla.org/mozilla/contrib/beos/glib-libIDL-beos.zip">mozilla contrib beos pages</a><br>
  <small>The sample .mozconfig assumes these are installed in /boot/home.</small></li>
</ul>

<h3 id="The_.mozconfig_file">The <code>.mozconfig</code> file</h3>

<p>In addition to the general <code>.mozconfig</code> contents described in <a href="en/Configuring_Build_Options">Configuring Build Options</a>, this file should contain:</p>

<pre>export GLIB_CONFIG=/boot/home/glib-libIDL-beos/glib/bin/glib-config
mk_add_options GLIB_CONFIG=/boot/home/glib-libIDL-beos/glib/bin/glib-config
export LIBIDL_CONFIG=/boot/home/glib-libIDL-beos/libIDL/bin/libIDL-config
mk_add_options LIBIDL_CONFIG=/boot/home/glib-libIDL-beos/libIDL/bin/libIDL-config

ac_add_options --disable-updater
</pre>

<p><em>Note</em>: Mozilla for BeOS requires RTTI, so do not use the <code>--disable-cpp-rtti</code> option.</p>
